//+------------------------------------------------------------------+
//|                                               Trommel 34+Ich.mq4 |
//|                                                           Atmats |
//|                                                       Parbaudits |
//+------------------------------------------------------------------+
#property copyright "Atmats"
#property link      "Parbaudits"

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+




extern double Lot         = 0.03;
extern double Lot1        = 0.06;
extern int Kof=1000;
extern int TP             =100;
extern int SL             = 40;


extern double TrailingStop = 30;
extern int Slippage       = 2;
extern int    Magic  = 16384;




   
   
   int start()
{
double L00.0, L23.6,  L38.2, L50.0, L61.8, L78.6, L100.0, LZS;

int cnt=0, total, ticket;
// pirmreizeja datu parbaude
// svarigi parliecinaties ka eksperts darbojas ar normalu grafiku un
// esmu pareizi uzstadijis ieksejos mainigos (Loti, StopLoss,
// TakeProfit, TrailingStop)
// musu gadijuma parbaudam tikai TakeProfit
   if(Bars<100)
     {
      Print("bars mazaks par 100");
      return(0);  
     }
   
// lai atvieglotu un paatrinatu kodu, sglabajam nepieciesmos
// indikatora datud mainigajos laika
   
   L00.0=iCustom(NULL,0,"Fibo Mans",0,1,0);
   L23.6=iCustom(NULL,0,"Fibo Mans",0,2,0);
   L38.2=iCustom(NULL,0,"Fibo Mans",0,3,0);
   L50.0=iCustom(NULL,0,"Fibo Mans",0,4,0);
   L61.8=iCustom(NULL,0,"Fibo Mans",0,5,0);
   L78.6=iCustom(NULL,0,"Fibo Mans",0,6,0);
   L100.0=iCustom(NULL,0,"Fibo Mans",0,0,0);
   LZS=iCustom(NULL,0,"Fibo Mans",0,7,0);

 

   
   //parliecinamies kada stavokli tirdzniec terminals
//vai ir ieprieks atvertas pozicijas
        int i,total_order,my_total_order;
      total_order = OrdersTotal()-1;
      my_total_order = 0;
      for(i = total_order; i >= 0; i--) {
         OrderSelect(i, SELECT_BY_POS, MODE_TRADES);
         if (OrderSymbol() == Symbol() && OrderMagicNumber() == Magic) {
               if (OrderType() == OP_BUY || OrderType() == OP_SELL)  my_total_order++;
         }
      }
  
       if (my_total_order < 1)
       
        {
      // no opened orders identified
      if(AccountFreeMargin()<(Kof*Lot))
        {
         Print("Tev nau naudas=",(Kof*Lot),  "Free Margin = ", AccountFreeMargin());
         return(0);  
        }
      //vai nepiesledzamies pa biezu
      // parbaudam pirksanu
    if (ticket > 0)
       {
         Print("Atverts");
         return(0);  
        }
     
      
      if ( L00.0>L100.0 &&  Close[1]<L23.6)
      {
         ticket=OrderSend(Symbol(),OP_BUYSTOP,Lot1,Ask+10*Point ,Slippage,Ask+10*Point-SL*Point,Ask+10*Point+TP*Point,"Max_Up",Magic,0,White);
         if(ticket>0)
           
            if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("BUY L23.6 order opened : ",OrderOpenPrice());
           
         else Print("Error opening SELL order : ",GetLastError()); 
         return(0); 
        }
        
       
      
        // parbaudam pardosanu
       
         
       if (L00.0<L100.0 && Close[1]>L23.6)
       {
         ticket=OrderSend(Symbol(),OP_SELLSTOP,Lot1,Bid-10*Point,Slippage,Bid-10*Point+SL*Point,Bid-10*Point-TP*Point,"Max_Dn",Magic,0,Orange);
         if(ticket>0)
          
            if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("SELL Max_Dn order opened : ",OrderOpenPrice());
          
         else Print("Error opening SELL order : ",GetLastError()); 
         return(0); 
        }
         
         
         return(0);
       }
        
        // atverto poziciju kontrole
   // svarigi laicigi apstaties
   total=OrdersTotal();  
   for(cnt=0;cnt<total;cnt++)
     {
      OrderSelect(cnt, SELECT_BY_POS, MODE_TRADES);
      if(OrderType()<=OP_SELL &&   // ta ir atverta pozicija? OP_BUY vai OP_SELL 
         OrderSymbol()==Symbol())  // parbaudam simbolu
        {
         if(OrderType()==OP_BUY)   // gara pozicija
           {
           // should it be closed?
            
            // parbaudam trailing stop
            if(TrailingStop>0)  //lieto'tajs iestatijis opcijas
              {                 
               if(Bid-OrderOpenPrice()>Point*TrailingStop)
                 {
                  if(OrderStopLoss()<Bid-Point*TrailingStop)
                    {
                     OrderModify(OrderTicket(),OrderOpenPrice(),Bid-Point*TrailingStop, OrderTakeProfit(),0,Red);
                     return(0);
                    }
                 }
              }
           }
         else // savadak si ir isa pozicija
           {
            // should it be closed?
            
            // parbaudam vai nav jaliek trailingStop
            if(TrailingStop>0)  
              {                 
               if((OrderOpenPrice()-Ask)>(Point*TrailingStop))
                 {
                  if((OrderStopLoss()>(Ask+Point*TrailingStop)) || (OrderStopLoss()==0))
                    {
                     OrderModify(OrderTicket(),OrderOpenPrice(),Ask+Point*TrailingStop,OrderTakeProfit(),0,Red);
                     return(0);
                    }
                 }
              }
           }
        }
     }
   return(0);
  }
// beigas.
        